The BOM Update Tool object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

current_bom string required
new_bom string required
The BOM Update Tool object
{
  "id": "b-o-m-update-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "current_bom": "current_bom_example",
  "new_bom": "new_bom_example"
}
GET /api/manufacturing/b-o-m-update-tool/{id}

Retrieve a bom update tool

Retrieves the details of an existing bom update tool. Supply the unique bom update tool ID that was returned from a previous request.

Path parameters

id string required

The identifier of the bom update tool to retrieve.

Returns

Returns the bom update tool object if a valid identifier was provided.

GET /api/manufacturing/b-o-m-update-tool/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-tool/b-o-m-update-tool_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "b-o-m-update-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "current_bom": "current_bom_example",
  "new_bom": "new_bom_example"
}
GET /api/manufacturing/b-o-m-update-tool

List all bom update tools

Returns a list of bom update tools. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of bom update tool objects.

GET /api/manufacturing/b-o-m-update-tool
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-tool \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "b-o-m-update-tool_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "current_bom": "current_bom_example",
      "new_bom": "new_bom_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/manufacturing/b-o-m-update-tool

Create a bom update tool

Creates a new bom update tool object.

Body parameters

current_bom string required
new_bom string required

Returns

Returns the newly created bom update tool object if the call succeeded.

POST /api/manufacturing/b-o-m-update-tool
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-tool \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"current_bom":"current_bom_example","new_bom":"new_bom_example"}'
Response
{
  "id": "b-o-m-update-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "current_bom": "current_bom_example",
  "new_bom": "new_bom_example"
}
PATCH /api/manufacturing/b-o-m-update-tool/{id}

Update a bom update tool

Updates the specified bom update tool by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bom update tool to update.

Body parameters

current_bom string
new_bom string

Returns

Returns the updated bom update tool object.

PATCH /api/manufacturing/b-o-m-update-tool/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-tool/b-o-m-update-tool_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"current_bom":"current_bom_example","new_bom":"new_bom_example"}'
Response
{
  "id": "b-o-m-update-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "current_bom": "current_bom_example",
  "new_bom": "new_bom_example"
}
DELETE /api/manufacturing/b-o-m-update-tool/{id}

Delete a bom update tool

Permanently deletes a bom update tool. This cannot be undone.

Path parameters

id string required

The identifier of the bom update tool to delete.

Returns

Returns a confirmation that the bom update tool has been deleted.

DELETE /api/manufacturing/b-o-m-update-tool/{id}
curl https://api.overplane.dev/api/manufacturing/b-o-m-update-tool/b-o-m-update-tool_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "b-o-m-update-tool_abc123",
  "deleted": true
}